Reschedule a Meeting
curl --request PATCH \
--url https://api.getnexor.ai/api/public/meetings/{id}/reschedule \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"keep_host": true,
"host_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "<string>",
"confirm": true,
"slot": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.getnexor.ai/api/public/meetings/{id}/reschedule"
payload = {
"keep_host": True,
"host_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "<string>",
"confirm": True,
"slot": "<string>",
"reason": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keep_host: true,
host_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
starts_at: '<string>',
confirm: true,
slot: '<string>',
reason: '<string>'
})
};
fetch('https://api.getnexor.ai/api/public/meetings/{id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"meeting": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"timezone": "<string>",
"duration_minutes": 123,
"status": "<string>",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meeting_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"host_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attendee_name": "<string>",
"attendee_email": "<string>",
"attendee_phone": "<string>",
"location_type": "<string>",
"location_details": "<string>",
"meeting_url": "<string>",
"source": "<string>",
"created_by": "<string>",
"creation_source": "<string>",
"external_calendar_provider": "<string>",
"external_event_id": "<string>",
"external_calendar_id": "<string>",
"sync_status": "<string>",
"synced_at": "<string>",
"organizer_email": "<string>",
"organizer_connection_type": "<string>",
"availability_block_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rescheduled_at": "<string>",
"original_starts_at": "<string>",
"reschedule_reason": "<string>",
"cancelled_at": "<string>",
"cancellation_reason": "<string>",
"confirmed_by_lead": true,
"created_at": "<string>",
"updated_at": "<string>"
},
"provider_sync": {
"status": "<string>",
"provider": "<string>",
"external_event_id": "<string>",
"synced_at": "<string>",
"organizer_email": "jsmith@example.com"
},
"warnings": [
"<string>"
],
"operations": {},
"host_changed": true,
"rebooked": true
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}Reschedule a Meeting
This operation lets you reschedule a meeting for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PATCH
/
meetings
/
{id}
/
reschedule
Reschedule a Meeting
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Meeting identifier.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Last modified on September 8, 2026
⌘I